<?php

namespace Slack\Models;

use Illuminate\Database\Eloquent\Model;
use Slack\Traits\ScopeActive;

class Enterprise extends Model
{
	use ScopeActive;

	protected $fillable = ['enterprise_id'];

	/* RELATIONS */

	public function teams()
	{
		return $this->hasMany(Team::class);
	}
}
