<?php

$routeConfig = [
	'namespace' => 'Slack\Http\Controllers',
];

app('router')
	->group($routeConfig, function ($router) {
		$router->get('slack-install-button', [
			'uses' => 'SlackAppController@button',
			'as' => 'slack-install-button',
		]);

		$router->get('slack-install', [
			'uses' => 'SlackAppController@install',
			'as' => 'slack-install',
		]);

		$router->get('', [
			'uses' => 'SlackAppController@home',
			'as' => 'home',
		]);
	});

app('router')
	->group(array_merge($routeConfig,['prefix'=>'api']), function ($router) {
		$router->post('event', [
			'uses' => 'EventsController@fire',
			'as' => 'event',
		]);
	});